Test technique
Ce test a pour vocation à évaluer les compétences techniques et le savoir-faire sur la
technologie. La qualité du test sera l’aspect le plus important dans ce rendu. Toute prise
d’initiative supplémentaire sera évidemment prise en compte. En cas de doute sur certains
points de ce test, ne pas hésiter à nous contacter à it@hellocse.fr.
À l’aide de VueJS 3 vous allez devoir réaliser un interface de films de cinéma en utilisant
l’API TMDB : https://developer.themoviedb.org/reference/intro/getting-started. Vous devrez
réaliser 3 pages :
- Liste des films
- Ajouter un défilement infini
- Ajouter un filtre de recherche sur le nom du film
(https://developer.themoviedb.org/reference/search-movie)
- Lorsque l’on clique sur un film, on souhaite voir le détail des informations de
ce film.
- Détail d’un film avec les informations relatives à ce film
(https://developer.themoviedb.org/reference/movie-details)
- Les données du film à afficher sur cette pages sont :
- L’affiche, le titre, le synopsis, le réalisateur, les stars / têtes d’affiche,
les catégories, la note TMDB et le nombre de personnes ayant noté le
film.
- En dessous des informations du film, on souhaite pouvoir laisser des
commentaires. Réalisez un formulaire contenant les champs suivants (à
stocker dans le local storage) et listez les commentaires du plus récent au
plus ancien :
- Nom d’utilisateur
- Chaîne de caractères alphas
- Longueur minimum de 3 caractères
- Longueur maximum de 50 caractères
- Champs requis
- Message
- Chaîne de caractères alphanumérique
- Longueur minimum de 3 caractères
- Longueur maximum de 500 caractères
- Champs requis
- L’utilisation d’un Wysiwyg tel que TinyMCE est un plus
- Note du film
- Valeur numérique de 1 à 10
Indications :
- Les variables doivent être typées et les SFC doivent être réalisés en utilisant la
Composition API et TypeScript.
- L’utilisation de NuxtJS, Vuetify, TailwindCSS, SCSS, Vuelidate, VueUse est un
plus
- L’installation d’outils de lint, de tests, de stores est un plus
- Une présentation graphique attirante contenant de possibles animations est un plus
- L’ajout de skeletons est un plus
- N’hésitez pas à commenter votre code et créer des commits sur Git au fur et à
mesure de votre progression