import fetch from 'node-fetch'

export default eventHandler(async (req) => {
  const id = req.context.params?.id || ''
  const url = `https://api.themoviedb.org/3/movie/${id}`
  const config = useRuntimeConfig(req)

  const response = await fetch(url, {
    method: 'get',
    headers: { 'Content-Type': 'application/json', 'Authorization': config.API_BEARER }
  })
  return await response.json()
})
